Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Batch/FTP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.batchadapter.webservice
Class BatchLocalFileWebService

    java.lang.Object
      com.stc.connector.batchadapter.webservice.BatchLocalFileWebService

    public class BatchLocalFileWebService

extends java.lang.Object

This class is the BatchLocalFileWebService.

Constructor Summary
`BatchLocalFileWebService(java.lang.Object app)` Creates a new instance of BatchLocalFileWebService

Method Summary
`PayloadMessage` | `read(LocalFileReadMessage lfrIn)` Reads a file to the PayloadMessage.
`PayloadMessage` | `readIfExists(LocalFileReadMessage lfrIn)` Reads a file to the PayloadMessage if the target file tested as existing.
`EmptyMessage` | `write(LocalFileWriteMessage lfwIn)` Writes a payload to a file.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BatchLocalFileWebService

    public BatchLocalFileWebService(java.lang.Object app)

  Creates a new instance of BatchLocalFileWebService

  Parameters:
    `o` - The application associated with this web service.

Method Detail

### read

    public PayloadMessage read(LocalFileReadMessage lfrIn)
                        throws java.lang.Exception

  Reads a file to the PayloadMessage.

  Parameters:
    `lfrIn` - A LocalFileReadMessage.
  Returns:
    The PayloadMessage.
  Throws:
    `The` - exception thrown by the operation.
    `java.lang.Exception`

### readIfExists

    public PayloadMessage readIfExists(LocalFileReadMessage lfrIn)
                                throws java.lang.Exception

  Reads a file to the PayloadMessage if the target file tested as existing.

  Parameters:
    `lfrIn` - A LocalFileReadMessage.
  Returns:
    The PayloadMessage.
  Throws:
    `The` - exception thrown by the operation. Note, when a target is tested as existing does not guarantee that it still exists when it is actually retrieved. this operation is introduced only to avoid throwing exception when the target is not available (exists) yet. so it is supposed to be used to poll the target over and over until it is available and retrieved; when target not available, the returned message holds a null payload, the next hop should know the semantics of this NULL payload message;
    `java.lang.Exception`

### write

    public EmptyMessage write(LocalFileWriteMessage lfwIn)
                       throws java.lang.Exception

  Writes a payload to a file.

  Parameters:
    `pmIn` - The LocalFileWriteMessage.
  Returns:
    A dummy message to handle eInsight
  Throws:
    `The` - exception thrown by the operation.
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Batch/FTP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD